#pragma once
#include "base/ccConfig.h"

#include "cocos/scripting/js-bindings/jswrapper/SeApi.h"

extern se::Object* __jsb_LAppView_proto;
extern se::Class* __jsb_LAppView_class;

bool js_register_LAppView(se::Object* obj);
bool register_all_cocos2dx_live2d(se::Object* obj);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetParameterMaximumValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_touchEnded);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_setScale);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetPartOpacity);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_StartRandomMotion);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetPartCount);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_MultiplyParameterValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_touchMoved);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_touchBegan);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_SetParameterValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_SetRandomExpression);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetParameterCount);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_AddParameterValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetParameterMinimumValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_setModel);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_StartMotion);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_setPosition);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetCanvasHeight);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetParameterDefaultValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetParameterValue);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_GetCanvasWidth);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_SetExpression);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_SetPartOpacity);
SE_DECLARE_FUNC(js_cocos2dx_live2d_LAppView_LAppView);

